SubblySubbly
Log inGet started
  • Get started
  • Developer resources
Storefront API reference
Docs
Information
    Base URLAuthenticationPaginationErrors
Bootstrap
    Get shop info and settings
Product
    Get list of productsGet product by IDGet variant or pricing by IDGet plan by ID
Bundle
    Get list of bundlesGet bundle by IDQuote bundleGet list of bundle group itemsGet list of bundle itemsGet the list of bundle items associated with multiple bundles
Survey
    Get survey by ID
Cart
    Init cartGet cart by IDUpdate cart by IDGet cart gifting datesGet cart start datesGet shipping methodsGet local pickupsValidate the cartAttach the customer to the cart
Cart Item
    Add cart itemUpdate cart itemDelete cart item
Checkout
    Make purchase from the cart
Auth
    LoginOtp LoginOtp GenerateSocial LoginRegisteredRegister
Customer
    Get the current customerGet the current customer referral infoUpdate customer
Address
    Get list of addressStore addressUpdate addressDelete address
Pickup Info
    Get list of pickup infosStore pickup infoUpdate pickup infoDelete pickup info
Wallet
    Store payment methodGet list of payment methodsStore payment methodDelete payment methodSet default payment method
Subscription
    Get list of subscriptionsShow subscriptionUpdate subscriptionUpdate subscription survey preferences by Subscription IDUpdate subscription bundle data by Subscription IDCancel a subscriptionUndo cancellationUpdate subscription payment methodGet shipping methodsGet local pickupsCreate a subscription itemShow a subscription itemUpdate a subscription itemRemove a subscription itemUpdate a subscription item's preferencesUpdate a subscription item's bundle
Order
    Get list of ordersGet order by ID
Invoice
    Get list of invoicesGet invoice by ID
Payment Intent
    Confirm payment intentGet payment intent by ID
Funnels
    Get the current pre purchase funnel step by IDRefresh the funnel progressAccept the pre purchase funnel stepReject the pre purchase funnel stepGet the current mid purchase funnel step by IDRefresh the funnel progressAccept the mid purchase funnel stepReject the mid purchase funnel step
Countries
    Get list of countries
Out Of Stock
    Subscribe to the out of stock
Cancellation
    Get shop cancellation reasons
Metafield
    Get shop's metafields
Product Collection
    Get list of product collectionsGet product collection by IDGet list of collection groups with items
Lead
    Store the shop lead

Bootstrap

Storefront bootstrap endpoint

Endpoints
  • GET/bootstrap

Get shop info and settings

GET /bootstrap

A detailed bootstrap info.

ReturnsBootstrap

Bootstrap object response

Error responses

401object

Unauthorized

curl https://api.subbly.co/storefront/v1/bootstrap \ -H 'X-API-KEY: <api-key>'
Response
{ "shop_id": 1, "name": "Shop", "slug": "shop", "status": true, "languages": [ { "name": "English", "code": "en", "dictionary": { "common.month": "Month", "survey.selected": "Done" }, "currency_position": 0, "primary": false, "published": true } ], "currencies": [ { "name": "US Dollars", "symbol": "$", "html": "&#36", "abbreviation": "USD", "gateways": [ {} ] } ], "country": { "id": 1, "name": "United States", "code": "US", "currency_code": "USD" }, "settings": { "timezone": "Pacific/Kiritimati", "out_of_stock_enabled": false, "display_commitment_and_trial": true, "limit_coupon_and_referral_discount": true, "subscription_addons": false, "gift_duration_enabled": true, "gift_start_date_enabled": true, "subscription_start_date_enabled": false, "collect_billing_address": true, "register_without_password": true, "tos_consent_required": true, "marketing_consent_required": true, "tax_enabled": true, "tax_inclusive": true, "zero_charge_notification": true, "local_pickup_only": false, "facebook_conversion_enabled": false, "tiktok_conversion_enabled": false, "sca_enabled": false, "apple_pay": false, "google_pay": false, "last_payment_method_detachment_enabled": false, "phone_number_optional": false, "collect_company_name": false, "allow_coupon_discount": true, "allow_gift_card_discount": true, "allow_checkout_discounts": true, "weight_unit": "kg", "dimension_unit": "cm", "group_product_variants": false, "sync_orders_preferences_on_subscription_update": false, "display_business_address": false, "cancellation_type": "immediate" }, "cart_settings": { "accent_color": "#000000", "background_color": "#000000", "widget_view": "pop-up", "card_style": 0, "button_style": 0, "header_height": 50, "font_style": "Source Sans Pro", "card_background_color": "#000000", "card_border_color": "#000000", "header_background_color": "#000000", "header_font_color": "#000000", "widget_background_color": "#000000", "item_added_screen": true, "card_divider_color": "#000000", "font_color_primary": "#000000", "font_color_secondary": "#000000", "product_card_background_color": "#000000", "footer_background": "#000000", "footer_font_color": "#000000", "widget_background_darker": "#000000", "input_background": "#000000", "input_border_color": "#000000", "segment_control_background": "#000000", "input_font_color": "#000000", "hide_product_images": true, "hide_pricing_price": true, "localization_settings": true, "existing_subscriptions_notice": true, "remove_trailing_zeroes": false, "hide_coupon_from_cart_summary": false, "logo_url": "logo_url", "address_street_number_rule": "require" }, "url": "https://subbly.test", "checkout_url": "https://subbly.test", "branding": { "brand_colour": "#6600ff", "favicon": "https://cdn.filestackcontent.com/DWUN4RaQA2RY0", "logo_square": "https://cdn.filestackcontent.com/4lDUpkbbNttk" }, "shipping_countries": [ { "id": 1, "name": "United States", "code": "US", "code_iso": "USA", "region_title": "State", "sca_required": false, "regions": [ {} ] } ], "support_email": "test@test.com", "support_url": "https://subbly.test", "terms_and_conditions": "https://subbly.test", "referral_settings": { "enabled": true, "referee_discount": 1000, "referral_discount": 1000 }, "apps": [ {} ], "limits": { "out_of_stock": true, "white_labeling": false, "checkout_widget": false, "embed_checkout": false, "configurable_bundle": false }, "conversion_tracking_code": "conversion_tracking_code", "checkout_js": "checkout_js", "livemode": false }
shop_idinteger
namestring
slugstring
statusboolean
languagesLanguage[]
currenciesCurrency[]
countryCountry
settingsShopSettings
cart_settingsCartSettings
urlstring
checkout_urlstring
brandingShopBranding
shipping_countriesShippingCountry[]
support_emailstring | null
support_urlstring | null
terms_and_conditionsstring | null
referral_settingsReferralSettings | null
appsApps
limitsShopLimits
conversion_tracking_codestring | null
checkout_jsstring | null
livemodeboolean